[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DialogChar

Performs actions needed to handle an accelerator key for the control.

## Declaration

Source position: controls.pp line 1494

`protected function TControl.DialogChar(`
`var Message: TLMKey`
`):Boolean; virtual;`

## Arguments

`Message` |  | TLMKey instance with the character code examined in the method.

## Function result

True if the accelerator key in Message is handled by the control.

## Description

Always return False in TControl. The method is overridden in descendent classes to perform actions needed to handle an accelerator character in the Message argument.

This method is called even if the control is disabled or hidden. Provided for Delphi VCL compatibility.

## See also

TWinControl.DialogChar |  | Handles the specified key in Message as an accelerator or shortcut key.
TWinControl.SendDialogChar |  | Forwards the key message to the parent form to be handled as an accelerator (shortcut) key.